com.ibm.openpages.api.scheduler

## Interface ISchedJobSchedule

-     public interface ISchedJobSchedule

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISchedJobSchedule` | `clone()`
    `java.lang.String` | `getCronExpression()` Get the CRON expression for the schedule
    `java.lang.String` | `getDescription()` Get the description of the schedule
    `java.util.Date` | `getEndTime()` Get the end time for the schedule
    `java.lang.String` | `getExpressionSummary()` Get the CRON expression in English
    `Id` | `getId()` Returns unique identifier of the job schedule
    `Id` | `getJobId()` Get the Id of the job to which this schedule belongs
    `java.lang.String` | `getModifiedBy()` Returns the user name who last modified the job schedule
    `java.util.Date` | `getModifiedDate()` Returns the last modified date
    `java.lang.String` | `getName()` Get the name of the schedule
    `java.util.Date` | `getNextFireTime()`
    `java.util.Date` | `getPreviousFireTime()`
    `java.util.Date` | `getStartTime()` Get the start time for the schedule
    `java.lang.String` | `getTriggerCategory()` Get the category of the trigger
    `java.lang.String` | `getTriggerName()` Get the name of the trigger
    `void` | `setCronExpression(java.lang.String cronExpression)` Set the schedule's CRON expression
    `void` | `setDescription(java.lang.String description)` Set the description of the schedule
    `void` | `setEndTime(java.util.Date endTime)` Set the end time for the schedule
    `void` | `setJobId(Id id)` Set the Id of the Job to which this schedule belongs
    `void` | `setName(java.lang.String name)` Set the name of the schedule
    `void` | `setStartTime(java.util.Date startTime)` Set the start time for the schedule
    `void` | `setTriggerCategory(java.lang.String triggerCategory)` Set the trigger category
    `void` | `setTriggerName(java.lang.String triggerName)` Set the name of the trigger

- - ### Method Detail

    - #### getId

          Id getId()

      Returns unique identifier of the job schedule
      Returns:

    - #### getName

          java.lang.String getName()

      Get the name of the schedule
      Returns:
        The schedule's name

    - #### setName

          void setName(java.lang.String name)

      Set the name of the schedule
      Parameters:
        `name` - The schedule's name

    - #### getDescription

          java.lang.String getDescription()

      Get the description of the schedule
      Returns:
        The schedule's description

    - #### setDescription

          void setDescription(java.lang.String description)

      Set the description of the schedule
      Parameters:
        `description` - The schedule's description

    - #### getJobId

          Id getJobId()

      Get the Id of the job to which this schedule belongs
      Returns:
        The Id of the job

    - #### setJobId

          void setJobId(Id id)

      Set the Id of the Job to which this schedule belongs
      Parameters:
        `id` - The Job Id

    - #### getTriggerName

          java.lang.String getTriggerName()

      Get the name of the trigger
      Returns:
        The name of the trigger

    - #### setTriggerName

          void setTriggerName(java.lang.String triggerName)

      Set the name of the trigger
      Parameters:
        `triggerName` - The name of the trigger

    - #### getTriggerCategory

          java.lang.String getTriggerCategory()

      Get the category of the trigger
      Returns:
        The trigger category

    - #### setTriggerCategory

          void setTriggerCategory(java.lang.String triggerCategory)

      Set the trigger category
      Parameters:
        `triggerCategory` - The trigger category

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date
      Returns:

    - #### getModifiedBy

          java.lang.String getModifiedBy()

      Returns the user name who last modified the job schedule
      Returns:

    - #### getNextFireTime

          java.util.Date getNextFireTime()

      Returns:
        The next time `Date` the job will run or null if it won't run again

    - #### getPreviousFireTime

          java.util.Date getPreviousFireTime()

      Returns:
        The previous time `Date` the job was run or null

    - #### setCronExpression

          void setCronExpression(java.lang.String cronExpression)

      Set the schedule's CRON expression
      Parameters:
        `cronExpression` - A valid CRON expression

    - #### getCronExpression

          java.lang.String getCronExpression()

      Get the CRON expression for the schedule
      Returns:
        The CRON expression

    - #### getExpressionSummary

          java.lang.String getExpressionSummary()

      Get the CRON expression in English
      Returns:
        CRON expression in English

    - #### getStartTime

          java.util.Date getStartTime()

      Get the start time for the schedule
      Returns:
        The schedule's start time

    - #### setStartTime

          void setStartTime(java.util.Date startTime)

      Set the start time for the schedule
      Parameters:
        `startTime` - The time the schedule starts

    - #### getEndTime

          java.util.Date getEndTime()

      Get the end time for the schedule
      Returns:
        The time the schedule ends

    - #### setEndTime

          void setEndTime(java.util.Date endTime)

      Set the end time for the schedule
      Parameters:
        `endTime` - The time the schedule ends

    - #### clone

          ISchedJobSchedule clone()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.